package com.eactive.eai.common.util.logger;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.pattern.PatternLayoutEncoderBase;

public class CustomPatternLayoutEncoder extends PatternLayoutEncoderBase<ILoggingEvent> {
	public void start() {
		CustomPatternLayout patternLayout = new CustomPatternLayout();
		patternLayout.setContext(this.context);
		patternLayout.setPattern(this.getPattern());
		patternLayout.setOutputPatternAsHeader(this.outputPatternAsHeader);
		patternLayout.start();
		this.layout = patternLayout;
		super.start();
	}
}